import numpy as np
import sys

n = len( sys.argv )
if n != 3 :
	print( "Args: alfa x0" )
	sys.exit(1)

# Leer los puntos de entrada
def df( x ) :
	return  0.25 - 2.0*np.sin(x)


alfa = float( sys.argv[1] )

# La solución inicial
x = float( sys.argv[2] )

i = 0
while i < 200 :

	# Calculamos la derivada del error sobre
	# todos los puntos
	J = df(x)
	x = x - alfa * J

	print( i, x )

	if abs(J) < 1e-8 :
		break

	i += 1
